## erlang 25.3.2.2

=== debian/changelog ===
erlang (1:25.3.2.2-1rmq1ppa1~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 07 Jun 2023 04:34:43 +0000

erlang (1:25.3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Tue, 30 May 2023 13:58:08 +0000

erlang (1:25.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Fri, 05 May 2023 11:13:05 +0000

erlang (1:25.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Thu, 27 Apr 2023 12:57:33 +0000

erlang (1:25.3-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 08 Mar 2023 10:38:48 +0000

erlang (1:25.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Fri, 17 Feb 2023 10:09:17 +0000

erlang (1:25.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 30 Jan 2023 08:20:42 +0000

erlang (1:25.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Tue, 17 Jan 2023 17:15:12 +0000

erlang (1:25.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 14 Dec 2022 08:01:50 +0000

erlang (1:25.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 24 Oct 2022 12:10:13 +0000

erlang (1:25.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 03 Oct 2022 13:18:52 +0000

erlang (1:25.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 21 Sep 2022 09:20:29 +0000

erlang (1:25.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Thu, 18 Aug 2022 15:02:32 +0000

erlang (1:25.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Fri, 15 Jul 2022 12:47:05 +0000

erlang (1:25.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Tue, 21 Jun 2022 06:59:28 +0000

erlang (1:25.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Thu, 09 Jun 2022 08:12:04 +0000

erlang (1:25.0-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 30 May 2022 08:52:53 +0000

erlang (1:24.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 25 May 2022 09:12:53 +0000

erlang (1:25.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 May 2022 12:44:25 +0300

erlang (1:25.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Apr 2022 08:39:22 +0300

erlang (1:25.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Refresh patches.
  * Switch build locale to C.UTF-8 because of UTF-8 encoded JAVA sources.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 24 Mar 2022 15:57:53 +0300

erlang (1:25.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Feb 2022 18:52:24 +0300

=== debian/control ===
Source: erlang
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Section: interpreters
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 10.0.0), autoconf (>= 2.69), openssl, libssl-dev, m4,
 libncurses5-dev, unixodbc-dev, bison, flex, ed, zlib1g-dev,
 libwxgtk3.0-gtk3-dev, libwxgtk-webview3.0-gtk3-dev, libx11-dev, dctrl-tools, xsltproc,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libsctp-dev [linux-any], libsystemd-dev [linux-any], erlang-base:native <cross>
Build-Depends-Indep: libxml2-utils, fop, default-jdk | sun-java6-jdk
Build-Conflicts: autoconf2.13, libwxgtk2.4-dev, libwxgtk2.6-dev, libwxgtk2.8-dev
Homepage: http://www.erlang.org/
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang.git

Package: erlang-base
Architecture: any
Multi-Arch: allowed
Depends: procps, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${libsctp:Version}, erlang-crypto (= ${binary:Version}), erlang-syntax-tools (= ${binary:Version})
Suggests: erlang-tools (= ${binary:Version}),  erlang, erlang-manpages, erlang-doc
Conflicts: erlang (<< ${source:Version}), erlang-base-hipe, erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Replaces: erlang (<< ${source:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${source:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-typer (<< 1:20.0+dfsg), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Provides: erlang-abi (= 17.0), erlang-pcre (= 8.44), erlang-abi-17.0
Breaks: rabbitmq-server (<< 3.7.7)
Description: Erlang/OTP virtual machine and base applications
 This package contains the Erlang/OTP runtime implementation,
 and minimal set of Erlang applications:
  compiler - compiles Erlang code to byte-code;
  erts - the Erlang runtime system application;
  kernel - code necessary to run the Erlang runtime system itself;
  ose - code for Enea OSE operating system;
  sasl - the system architecture support libraries application;
  stdlib - modules for manipulating lists, strings, files etc.


Package: erlang-asn1
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP modules for ASN.1 support
 The Asn1 application contains modules with compile-time and run-time
 support for ASN.1 in Erlang/OTP.


Package: erlang-common-test
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-crypto (= ${binary:Version}), erlang-debugger (= ${binary:Version}), erlang-ftp (= ${binary:Version}), erlang-inets (= ${binary:Version}), erlang-observer (= ${binary:Version}), erlang-runtime-tools (= ${binary:Version}), erlang-snmp (= ${binary:Version}), erlang-ssh (= ${binary:Version}), erlang-syntax-tools (= ${binary:Version}), erlang-tools (= ${binary:Version}), erlang-xmerl (= ${binary:Version}), libjs-jquery, libjs-jquery-tablesorter, ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP application for automated testing
 Common Test is a portable application for automated testing. It is
 suitable for black-box testing of target systems of any type (i.e.
 not necessarily implemented in Erlang), as well as for white-box
 testing of Erlang/OTP programs. Black-box testing is performed via
 standard interfaces (such as SNMP, HTTP, Corba, Telnet, etc) and,
 if required, via user specific interfaces (often called test ports).
 White-box testing of Erlang/OTP programs is easily accomplished by
 calling the target API functions directly from the test case functions.
 Common Test also integrates usage of the OTP cover tool for code
 coverage analysis of Erlang/OTP programs.


Package: erlang-crypto
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP cryptographic modules
 The Crypto Application provides functions for computation of message
 digests, encryption and decryption functions. It uses OpenSSL for
 actual calculations.


Package: erlang-debugger
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-wx (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP application for debugging and testing
 Debugger is a graphical tool which can be used for debugging and
 testing of Erlang programs. For example, breakpoints can be set,
 code can be single stepped and variable values can be inspected
 and modified.


Package: erlang-dialyzer
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-syntax-tools (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang-wx (= ${binary:Version}), erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP discrepancy analyzer application
 Dialyzer is a static analysis tool that identifies software
 discrepancies such as type errors, unreachable code, unnecessary
 tests etc. in single Erlang modules or entire (sets of) applications.


Package: erlang-diameter
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-runtime-tools (= ${binary:Version}), erlang-ssl (= ${binary:Version}), erlang-syntax-tools (=${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP implementation of RFC 6733 protocol
 Interface with which a user creates a service that sends and receives
 messages using the Diameter protocol as defined in RFC 6733.


Package: erlang-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: erlang:any
Conflicts: erlang-doc-html, erlang-base:any (<< 1:13.b.4), erlang-base-hipe:any
Replaces: erlang-doc-html
Provides: erlang-doc-html
Description: Erlang/OTP HTML/PDF documentation
 Documentation for the Erlang programming language and OTP
 library in HTML and PDF formats.


Package: erlang-edoc
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-inets (= ${binary:Version}), erlang-syntax-tools (=${binary:Version}), erlang-xmerl (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP module for generating documentation
 EDoc is the Erlang program documentation generator. Inspired by the
 Javadoc tool for the Java programming language, EDoc is adapted to
 the conventions of the Erlang world.


Package: erlang-eldap
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-asn1 (= ${binary:Version}), erlang-ssl (=${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP LDAP library
 Eldap is a module which provides a client API to the Lightweight
 Directory Access Protocol (LDAP).


Package: erlang-erl-docgen
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-edoc (= ${binary:Version}), erlang-xmerl (= ${binary:Version}), ${misc:Depends}
Suggests: xsltproc, fop, erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP documentation stylesheets
 The erl_docgen package includes XSLT stylesheets and document type
 definitions used for Erlang/OTP documentation. They allow one to
 transform documentation to manpage, HTML, and PDF formats.


Package: erlang-et
Architecture: any
Multi-Arch: allowed
Depends: ${erlang-base}, erlang-runtime-tools (= ${binary:Version}), erlang-wx (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ROOT_DIR=$(shell pwd)
MAN_DIR = $(ROOT_DIR)/debian/erlang-docs/usr/lib/erlang/man

export HOME := $(ROOT_DIR)/debian

-include ${ROOT_DIR}/erts/vsn.mk
-include ${ROOT_DIR}/lib/diameter/vsn.mk
-include ${ROOT_DIR}/lib/erl_interface/vsn.mk
-include ${ROOT_DIR}/lib/jinterface/vsn.mk
-include ${ROOT_DIR}/lib/ic/vsn.mk
-include ${ROOT_DIR}/lib/tools/vsn.mk
-include ${ROOT_DIR}/lib/common_test/vsn.mk
-include ${ROOT_DIR}/lib/snmp/vsn.mk
SOURCE_VERSION=$(shell dpkg-parsechangelog | sed -ne's!^Version: \(.*\)-.*!\1!p')

PCRE_MAJOR=$(shell cat erts/emulator/pcre/pcre.h | grep PCRE_MAJOR | sed -e's/.*\s\([0-9]\+\).*/\1/')
PCRE_MINOR=$(shell cat erts/emulator/pcre/pcre.h | grep PCRE_MINOR | sed -e's/.*\s\([0-9]\+\).*/\1/')
PCRE_VERSION=$(PCRE_MAJOR).$(PCRE_MINOR)
ABI_VERSION=17.0

BINARY_TARGETS=binary-erlang-base
INSTALL_RULE=install-stnd-stamp
TMPINSTALL_DIR=debian/erlang-stnd
ERLANGBASE=erlang-base (= $${binary:Version})

USE_ESOCKET := $(shell echo ${DEB_HOST_ARCH} | egrep -c "hurd" | sed -es/1/no/ -es/0/yes/)
ifeq ($(USE_ESOCKET), no)
ESOCKET_OPT=--disable-esock
else
ESOCKET_OPT=--enable-esock
endif

USE_KERNEL_POLL := $(shell echo ${DEB_HOST_ARCH} | egrep -c "hurd" | sed -es/1/no/ -es/0/yes/)
ifeq ($(USE_KERNEL_POLL), no)
KERNEL_POLL_OPT=--disable-kernel-poll
else
KERNEL_POLL_OPT=--enable-kernel-poll
endif

USE_CLOCK_GETTIME := $(shell echo ${DEB_HOST_ARCH} | egrep -c "bsd|hurd" | sed -es/1/no/ -es/0/yes/)
ifeq ($(USE_CLOCK_GETTIME), no)
CLOCK_GETTIME_OPT=
SYSTEMD_OPT=
else
CLOCK_GETTIME_OPT=--enable-clock-gettime
SYSTEMD_OPT=--enable-systemd
endif

# Temporary (until #475459 is fixed) disabling threads for sparc architecture
ifeq ($(DEB_HOST_ARCH), sparc)
THREAD_OPTS=--disable-threads --disable-smp-support
else
THREAD_OPTS=--enable-threads --enable-smp-support
endif

LIBSCTP=$(shell grep-status -s Depends -PX libsctp-dev |sed -e 's!.*\(libsctp[0-9]*\).*!\1!')
LIBSCTPDEP=$(shell grep-status -s Version -PX $(LIBSCTP) | sed -e's!^Version: \(.*\)-[^-]*!$(LIBSCTP) (>= \1)!')

USE_SCTP := $(shell echo ${DEB_HOST_ARCH} | egrep -c "bsd|hurd" | sed -es/1/no/ -es/0/yes/)
ifeq ($(USE_SCTP), no)
SCTP_OPT=--disable-sctp
else
SCTP_OPT=--enable-sctp
endif

ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),debug)
CFLAGS=-g -O2 -fno-strict-aliasing
GEN_OPT_FLGS=-O2 -fno-strict-aliasing
TYPE=debug
else
CFLAGS=-g -O2 -fno-strict-aliasing
GEN_OPT_FLGS=-O2 -fno-strict-aliasing
TYPE=
endif

JAVA_OPTIONS=-Xlint -source 1.8 -target 1.8

export LC_ALL := C.UTF-8

JOBS=4

debian/control: debian/control.in debian/rules
	sed -e's/@PCRE_VERSION@/$(PCRE_VERSION)/g' \
	    -e's/@ABI_VERSION@/$(ABI_VERSION)/g' <$< >$@

clean:
	dh_testdir
	dh_testroot
	#
	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
	rm -f lib/dialyzer/SKIP
	#
	# Remove installed erlang from debian/
	rm -rf debian/erlang-docs
	rm -rf debian/erlang-stnd
	#
	# Restore replaced configure, config.guess, and config.sub files
	for i in `find ${ROOT_DIR} -name 'configure.backup'` ; do \
	    mv $$i $${i%%.backup} ; \
	done
	for i in `find ${ROOT_DIR} -name 'config.guess~'` ; do \
	    mv $$i $${i%%\~} ; \
	done
	for i in `find ${ROOT_DIR} -name 'config.sub~'` ; do \
	    mv $$i $${i%%\~} ; \
	done
	rm -f lib/configure.in
	#
	# Remove files, which were generated from templates
	for i in debian/*.in debian/scripts/*.in ; do \
	    if [ "$$i" != "debian/control.in" ] ; then \
		rm -f $${i%%.in} ; \
	    fi ; \
	done
	#
	# *.install were also generated on-the-fly
	rm -f debian/*.install
	rm -f debian/erlang-doc.links
	rm -f debian/erlang-doc.doc-base.erlang-erts
	#
	rm -f debian/AUTHORS
	#
	# Remove touched stamp files
	rm -f *-stamp
	#
	dh_clean -Xtest.erl.orig

automake: automake-stamp
automake-stamp: debian/control
	dh_testdir
	#
	# Return error if there are known nonfree docs in upstream tarball
	# Return error if there are prebuilt binaries in upstream tarball
	err=0 ; \
	for fn in `find lib/*/doc -name standard -or -name archive` ; do \
	    err=1 ; \
	    echo Found directory $$fn with non-free docs in upstream. Please remove it. ; \
	done ; \
	if [ -f prebuilt.files ] ; then \
	    err=1 ; \
	    echo Found prebuilt binaries in upstream. Please remove them. ; \
	fi ; \
	if [ $$err = 1 ] ; then \
	    echo ; \
	    echo Use uscan --download to get the upstream tarball. ; \
	    echo ; \
	    false ; \
	fi
	#
	# Preserve configure scripts
	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'configure'` ; do \
	    cp -f $$i $$i.backup ; \
	done
	#
	# Replace config.guess and config.sub by installed in /usr/share/misc.
	# Also add suffix -gnu to ibm-linux in config.guess to fix FTBFS
	# on s390 architecture
	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'config.guess'` ; do \
	    cp -fb /usr/share/misc/config.guess $$i ; \
	    sed -i 's/-ibm-linux$$/-ibm-linux-gnu/g' $$i ; \
	done
	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'config.sub'` ; do \
	    cp -fb /usr/share/misc/config.sub $$i ; \
	done
	#
	# Regenerate configure scripts using autoconf
	./otp_build autoconf
	#
	touch automake-stamp

configure-stnd: configure-stnd-stamp
configure-stnd-stamp: automake-stamp
	dh_testdir
	#
	echo "BUILDING STANDARD VERSION"
	#
	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
	rm -f lib/dialyzer/SKIP
	#
	CFLAGS="$(CFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --libexecdir=/usr/bin \
		    --infodir=/usr/share/info \
		    --mandir=/usr/share/man \
		    --enable-hybrid-heap \
		    $(THREAD_OPTS) \
		    $(KERNEL_POLL_OPT) \
		    $(ESOCKET_OPT) \
		    $(SYSTEMD_OPT) \
		    $(SCTP_OPT) \
		    $(CLOCK_GETTIME_OPT) \
		    --enable-dynamic-ssl-lib \
		    --with-ssl-rpath=no \
		    --enable-ethread-pre-pentium4-compatibility \
		    --enable-shared-zlib \
		    --disable-builtin-zlib \
		    --without-ssl-zlib \
		    --disable-silent-rules
	#
	touch configure-stnd-stamp

define do-install
	echo "*** do-install called for $(INSTALL_DIR)."

	# Calls make install.
	${MAKE} -j ${JOBS} DESTDIR=$(INSTALL_DIR) TYPE=$(TYPE) install

	# Replace ROOTDIR in "erl" and "start" scripts for real rootdir
	# If there's no erl or start then it's better to fail than silently continue
	for dir in $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin		\
		   $(INSTALL_DIR)/usr/lib/erlang/bin; do			\
	    for val in erl start; do						\
		sed -i 's!ROOTDIR=.*!ROOTDIR=/usr/lib/erlang!' $${dir}/$${val}; \
	    done;								\
	done

	# Correct ERL_ROOT in RELEASES file
	sed 's!%ERL_ROOT%!/usr/lib/erlang!' \
	    $(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES.src \
	    >$(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES

	# Get rid of windows cruft
	find $(INSTALL_DIR) -name *.bat -exec rm -v {} \;

	# Fix permissions
	cp $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl.src \
	   $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl
	chmod 755 $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl
	chmod 755 $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/*.src
	chmod 644 $(INSTALL_DIR)/usr/lib/erlang/bin/start.script
	chmod 644 $(INSTALL_DIR)/usr/lib/erlang/lib/wx-*/examples/*/*.beam

	# Remove some files which should be rather in erlang-doc-html package
	find $(INSTALL_DIR)/usr/lib/erlang/lib -name info -exec rm -v {} \;
	rm -rv $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/doc

	# Remove useless Install and manpage formatting scripts
	rm -v $(INSTALL_DIR)/usr/lib/erlang/Install
	rm -rv $(INSTALL_DIR)/usr/lib/erlang/misc

	# Install systemd units for epmd
	if [ "$(USE_CLOCK_GETTIME)" = "yes" ] ; then \
	    install -m 755 -d $(INSTALL_DIR)/usr/lib/systemd/system ; \
	    install -m 644 debian/epmd.service $(INSTALL_DIR)/usr/lib/systemd/system ; \

## erlang 25.3.2.8%2Bdfsg

=== erts/test/Makefile ===
#
# %CopyrightBegin%
#
# Copyright Ericsson AB 1997-2021. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# %CopyrightEnd%
#

include $(ERL_TOP)/make/target.mk

include $(ERL_TOP)/make/$(TARGET)/otp.mk

EBIN = .

# ----------------------------------------------------
# Target Specs
# ----------------------------------------------------

MODULES= \
	erlc_SUITE \
	install_SUITE \
	nt_SUITE \
	otp_SUITE \
	ethread_SUITE \
	erl_print_SUITE \
	run_erl_SUITE \
	erlexec_SUITE \
	z_SUITE \
	upgrade_SUITE \
	parallel_messages_SUITE

ERL_FILES= $(MODULES:%=%.erl)

TARGET_FILES = $(MODULES:%=$(EBIN)/%.$(EMULATOR))

EXTRA_FILES = install_SUITE_data/install_bin

# ----------------------------------------------------
# Release directory specification
# ----------------------------------------------------
RELSYSDIR = $(RELEASE_PATH)/system_test

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS +=

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

tests debug opt: $(TARGET_FILES) $(EXTRA_FILES)

install_SUITE_data/install_bin: ../../make/install_bin
	rm -f $@
	cp -p $< $@

clean:
	rm -f $(TARGET_FILES) $(EXTRA_FILES)
	rm -f core *~

docs:

# ----------------------------------------------------
# Release Target
# ---------------------------------------------------- 
include $(ERL_TOP)/make/otp_release_targets.mk

release_spec:

release_tests_spec: opt
	$(INSTALL_DIR) "$(RELSYSDIR)"
	$(INSTALL_DATA) system.spec system.dynspec system_smoke.spec \
		$(ERL_FILES) $(TARGET_FILES) "$(RELSYSDIR)"
	chmod -R u+w "$(RELSYSDIR)"
	cp "$(ERL_TOP)/otp_versions.table" "$(ERL_TOP)/erts/test/otp_SUITE_data"
	cp "$(ERL_TOP)/make/otp_version_tickets" "$(ERL_TOP)/erts/test/otp_SUITE_data"
	tar cf - *_SUITE_data utils | (cd "$(RELSYSDIR)"; tar xf -)

release_docs_spec:

=== lib/reltool/Makefile ===
#
# %CopyrightBegin%
# 
# Copyright Ericsson AB 2009-2021. All Rights Reserved.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# %CopyrightEnd%

include $(ERL_TOP)/make/target.mk
include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Macros
# ----------------------------------------------------

SUB_DIRECTORIES = src examples doc/src

include vsn.mk
VSN = $(RELTOOL_VSN)

SPECIAL_TARGETS = 

# ----------------------------------------------------
# Default Subdir Targets
# ----------------------------------------------------
include $(ERL_TOP)/make/otp_subdir.mk

DIA_PLT_APPS=wx sasl
TEST_NEEDS_RELEASE=true

include $(ERL_TOP)/make/app_targets.mk

=== lib/debugger/test/Makefile ===
#
# %CopyrightBegin%
#
# Copyright Ericsson AB 1998-2023. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# %CopyrightEnd%
#
include $(ERL_TOP)/make/target.mk
include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Target Specs
# ----------------------------------------------------

MODULES= \
	andor_SUITE \
	bs_bincomp_SUITE \
	bs_construct_SUITE \
	bs_match_bin_SUITE \
	bs_match_int_SUITE \
	bs_match_misc_SUITE \
	bs_match_tail_SUITE \
	bs_size_expr_SUITE \
	bs_utf_SUITE \
	bug_SUITE \
	erl_eval_SUITE \
	dbg_ui_SUITE \
	debugger_SUITE \
	int_SUITE \
	int_break_SUITE \
	int_eval_SUITE \
	guard_SUITE \
	exception_SUITE \
	fun_SUITE \
	lc_SUITE \
	line_number_SUITE \
	map_SUITE \
	maybe_SUITE \
	overridden_bif_SUITE \
	record_SUITE \
	trycatch_SUITE \
	test_lib \
	cleanup

ERL_FILES= $(MODULES:%=%.erl)

TARGET_FILES= $(MODULES:%=$(EBIN)/%.$(EMULATOR))
INSTALL_PROGS= $(TARGET_FILES)

EMAKEFILE=Emakefile

# ----------------------------------------------------
# Release directory specification
# ----------------------------------------------------
RELSYSDIR = $(RELEASE_PATH)/debugger_test

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------

ERL_MAKE_FLAGS +=
ERL_COMPILE_FLAGS +=
ERL_COMPILE_FLAGS := $(filter-out +deterministic,$(ERL_COMPILE_FLAGS))

EBIN = .

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

make_emakefile:
	$(ERL_TOP)/make/make_emakefile $(ERL_COMPILE_FLAGS) -o$(EBIN) $(MODULES) \
	> $(EMAKEFILE)
	$(ERL_TOP)/make/make_emakefile $(ERL_COMPILE_FLAGS) -o$(EBIN) '*_SUITE_make' \
	>> $(EMAKEFILE)

tests $(TYPES): make_emakefile
	erl $(ERL_MAKE_FLAGS) -make

clean:
	rm -f $(EMAKEFILE)
	rm -f $(TARGET_FILES) $(GEN_FILES)
	rm -f core

docs:

# ----------------------------------------------------
# Release Target
# ----------------------------------------------------
include $(ERL_TOP)/make/otp_release_targets.mk

release_spec: opt

release_tests_spec: make_emakefile
	$(INSTALL_DIR) "$(RELSYSDIR)"
	$(INSTALL_DATA) $(EMAKEFILE) $(ERL_FILES) "$(RELSYSDIR)"
	$(INSTALL_DATA) debugger.spec debugger.cover "$(RELSYSDIR)"
	chmod -R u+w "$(RELSYSDIR)"
	@tar cf - *_SUITE_data | (cd "$(RELSYSDIR)"; tar xf -)

release_docs_spec:

=== lib/inets/examples/httpd_load_test/Makefile ===
# 
# %CopyrightBegin%
#
# Copyright Ericsson AB 2010-2022. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# %CopyrightEnd%

include $(ERL_TOP)/make/target.mk

EBIN = .

include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Application version
# ----------------------------------------------------
include ../../vsn.mk

VSN=$(INETS_VSN)


# ----------------------------------------------------
# Release directory specification
# ----------------------------------------------------
RELSYSDIR         = $(RELEASE_PATH)/lib/inets-$(VSN)
EXAMPLE_RELSYSDIR = "$(RELSYSDIR)/examples"
HDLT_RELSYSDIR    = $(EXAMPLE_RELSYSDIR)/httpd_load_test


# ----------------------------------------------------
# Target Specs
# ----------------------------------------------------

include modules.mk

ERL_FILES = $(MODULES:%=%.erl)

SOURCE = $(ERL_FILES) $(INTERNAL_HRL_FILES)

TARGET_FILES =  \
	$(ERL_FILES:%.erl=$(EBIN)/%.$(EMULATOR))

ifeq ($(TYPE),debug)
ERL_COMPILE_FLAGS += -Ddebug -W
endif


# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------

include ../../src/inets_app/inets.mk

ERL_COMPILE_FLAGS += \
	$(INETS_FLAGS) \
	$(INETS_ERL_COMPILE_FLAGS) \
	-I../../include


# ----------------------------------------------------
# Special Build Targets
# ----------------------------------------------------


# ----------------------------------------------------
# Targets
# ----------------------------------------------------
$(filter-out opt, $(TYPES)):
	@${MAKE} TYPE=$@ opt

opt: $(TARGET_FILES) 

clean:
	rm -f $(TARGET_FILES) 
	rm -f errs core *~

docs:


# ----------------------------------------------------
# Release Target
# ---------------------------------------------------- 
include $(ERL_TOP)/make/otp_release_targets.mk


release_spec: opt
	$(INSTALL_DIR)  $(EXAMPLE_RELSYSDIR)
	$(INSTALL_DIR)  $(HDLT_RELSYSDIR)
	$(INSTALL_DATA) $(SCRIPT_SKELETONS) $(HDLT_RELSYSDIR)
	$(INSTALL_DATA) $(CONF_SKELETONS)   $(HDLT_RELSYSDIR)
	$(INSTALL_DATA) $(CERT_FILES)       $(HDLT_RELSYSDIR)
	$(INSTALL_DATA) $(TARGET_FILES)     $(HDLT_RELSYSDIR)
	$(INSTALL_DATA) $(ERL_FILES)        $(HDLT_RELSYSDIR)


release_docs_spec:


# ----------------------------------------------------
# Include dependencies
# ----------------------------------------------------

megaco_codec_transform.$(EMULATOR): megaco_codec_transform.erl

megaco_codec_meas.$(EMULATOR): megaco_codec_meas.erl

megaco_codec_mstone1.$(EMULATOR): megaco_codec_mstone1.erl

megaco_codec_mstone2.$(EMULATOR): megaco_codec_mstone2.erl

megaco_codec_mstone_lib.$(EMULATOR): megaco_codec_mstone_lib.erl

=== lib/wx/doc/src/Makefile ===
#
# %CopyrightBegin%
#
# Copyright Ericsson AB 2008-2021. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# %CopyrightEnd%
#

# ----------------------------------------------------
# Application version
# ----------------------------------------------------
include ../../vsn.mk
include ../../config.mk
APPLICATION=wx

ErlMods         = wx.xml wx_object.xml

GenMods         = $(shell ls *.xml | grep 'wx[A-Z].*\.xml') \
		wx_misc.xml \
		gl.xml \
		glu.xml

ModsNoExt	= $(ErlMods:%.xml=%) $(GenMods:%.xml=%)

# Release directory specification

XML_APPLICATION_FILES = ref_man.xml
# EDOC_REF3_FILES = $(ErlMods:%.erl=%.xml)
XML_REF3_FILES = $(ErlMods) $(GenMods)

XML_PART_FILES = part.xml
XML_CHAPTER_FILE = chapter.xml
XML_NOTES_FILES = notes.xml

BOOK_FILES = book.xml

XML_FILES = \
	$(BOOK_FILES) $(XML_CHAPTER_FILE) \
	$(XML_PART_FILES) $(XML_NOTES_FILES) $(XML_REF3_FILES) $(XML_REF6_FILES) $(XML_APPLICATION_FILES)

TOP_SPECS_FILE = specs.xml

# clean this generates as well
EXTRA_FILES = ref_man.xml specs.xml

include $(ERL_TOP)/make/doc.mk

.PRECIOUS: $(ModsNoExt:%=../specs/specs_%.xml)

ref_man.xml: ref_man.xml.src Makefile
	@echo Preparing $@
	@cat ref_man.xml.src > $@
	@for d in $(ModsNoExt); do         \
		echo "  <xi:include href=\"$$d.xml\"/>" >> $@ ; \
	done
	@echo "</application>" >> $@

specs.xml: specs.xml.src Makefile
	@echo Preparing $@
	@cat specs.xml.src > $@
	@for d in $(ModsNoExt); do         \
		echo "  <xi:include href=\"../specs/specs_$$d.xml\"/>" >> $@ ; \
	done
	@echo "</specs>" >> $@

=== debian/changelog ===
erlang (1:25.3.2.8+dfsg-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:12:08 +0000

erlang (1:25.3.2.8+dfsg-1ubuntu3) noble; urgency=medium

  * d/patches/pr-7952.patch: Take upstream PR to fix build with _TIME_BITS=64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 09:27:34 +1300

erlang (1:25.3.2.8+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:52:12 +0000

erlang (1:25.3.2.8+dfsg-1ubuntu1) noble; urgency=medium

  * ssl: remove small and legacy elliptic curves (LP: #2051379)

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 26 Jan 2024 17:43:30 +0100

erlang (1:25.3.2.8+dfsg-1) unstable; urgency=medium

  * New upstream release, which fixes CVE-2023-48795 - downgrading security
    features in SSH connections (closes: #1059002).
  * Refresh patches.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 19 Dec 2023 18:19:42 +0300
